org.apache.fop.apps

## Interface EnvironmentProfile

    public interface EnvironmentProfile

The environment profile represents the system in which FOP is invoked. Some of FOPs services rely upon features within the system, as such, the client may want to restrict access to these services. This object allows clients to control those restrictions by implementing the interfaces that the environment profile holds.

### Method Summary

All Methods Instance Methods Abstract Methods
`URI` `getDefaultBaseURI()` The default base URI used for resolving URIs.
`org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver` `getFallbackResolver()`
`FontManager` `getFontManager()` Returns the font manager with restrictions/allowances set for this environment.
`org.apache.xmlgraphics.io.ResourceResolver` `getResourceResolver()` Returns resource resolver for this environment.

### Method Detail

#### getResourceResolver

    org.apache.xmlgraphics.io.ResourceResolver getResourceResolver()

Returns resource resolver for this environment.

Returns:
  the resource resolver

#### getFontManager

    FontManager getFontManager()

Returns the font manager with restrictions/allowances set for this environment.

Returns:
  the font manager

#### getDefaultBaseURI

    URI getDefaultBaseURI()

The default base URI used for resolving URIs.

Returns:
  the default base URI

#### getFallbackResolver

    org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver getFallbackResolver()

See Also:
  `FopFactoryConfig.getFallbackResolver()`